﻿using UnityEngine;

namespace mod
{
    public class mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Item Plus", "Random useful items you might need.", ModAPI.LoadSprite("icon.png"));
			//microwave
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Microwave -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Used to heat food.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/microwaveview.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/microwave.png");
						Instance.FixColliders();
					}
				}
			);
			//no wobble generator
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Industrial Generator"),
					NameOverride = "Modified Industrial Generator -IPlus",
					NameToOrderByOverride = "electric",
					DescriptionOverride = "The good ol' one generator without wobbling as crazy.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("Electronics/nowobblegeneratorview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Electronics/nowobblegenerator.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<GeneratorBehaviour>();
						gen.Vibrate = false;
					}
				}
			);
			//jet nozzle
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Thruster"),
					NameOverride = "Jet Nozzle -IPlus",
					NameToOrderByOverride = "electric",
					DescriptionOverride = "Incase rocket engine doesn't fit for your aircraft.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("Electronics/jetnozzleview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Electronics/jetnozzle.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
					}
				}
			);
			//black office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Black Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairblackview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairblack.png", 1f);
					}
				}
			);
			//red office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Red Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairredview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairred.png", 1f);
					}
				}
			);
			//greenish office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Greenish Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairgreenishview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairgreenish.png", 1f);
					}
				}
			);
			//blue office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Blue Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairblueview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairblue.png", 1f);
					}
				}
			);
			//white office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "White Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairwhiteview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairwhite.png", 1f);
					}
				}
			);
			//white office chair
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "White Office Chair -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "You better sit rather than brutally murder someone with this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/officechairwhiteview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechaircollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/officechairwhite.png", 1f);
					}
				}
			);
			//matress
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Matress -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "Good night.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/matressview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/matress.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pillow
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Pillow -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "Good night.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pillowview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pillow.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//white fridge
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "White Fridge -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Used to store food.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/fridgeview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/fridge.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 5;
						gen.InitialMass = 5;
					}
				}
			);
			//fridge
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Black Fridge -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Used to store food.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/fridgeblackview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/fridgeblack.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 5;
						gen.InitialMass = 5;
					}
				}
			);
			//stove
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Stove -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Used to cook food.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/stoveview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/stove.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 10;
						gen.InitialMass = 10;
					}
				}
			);
			//desert dynamic protection
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Desert Dynamic Protection -IPlus",
					NameToOrderByOverride = "dprotec",
					DescriptionOverride = "Protective.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/desertdynamicprotectionview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/desertdynamicprotection.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//green dynamic protection
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Green Dynamic Protection -IPlus",
					NameToOrderByOverride = "dprotec",
					DescriptionOverride = "Protective.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/greendynamicprotectionview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/greendynamicprotection.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//silver dynamic protection
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Silver Dynamic Protection -IPlus",
					NameToOrderByOverride = "dprotec",
					DescriptionOverride = "Protective.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/silverdynamicprotectionview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/silverdynamicprotection.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//gray dynamic protection
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Gray Dynamic Protection -IPlus",
					NameToOrderByOverride = "dprotec",
					DescriptionOverride = "Protective.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/blackdynamicprotectionview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/blackdynamicprotection.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//green rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Green Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/greenrodview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/greenrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//blue rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "BlueRod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bluerodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bluerod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//gray rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Gray Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/grayrodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/grayrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//yellow rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Yellow Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/yellowrodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/yellowrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//white rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "White Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/reallywhiterodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/reallywhiterod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//red rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Red Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/redrodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/redrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//black rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Black Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/blackrodview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/blackrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//monitor
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Monitor -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "The thing you are looking on right now.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/monitorview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/monitor.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//keyboard
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Keyboard -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "Very improvised.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/keyboardview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/keyboard.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//shower
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Shower -IPlus",
					NameToOrderByOverride = "bath",
					DescriptionOverride = "Uhh..",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/showerview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/showercollision.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/shower.png", 1f);
					}
				}
			);
			//spas 12
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Shotgun"),
					NameOverride = "Spas-12 -IPlus",
					NameToOrderByOverride = "weapon",
					DescriptionOverride = "The guns wasn't inteded to be in this mod but i couldnt handle myself. Rather than suggesting more guns get Army Mod by me.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"), 
					ThumbnailOverride = ModAPI.LoadSprite("guns/spasview.png"), 
					AfterSpawn = (Instance) => 
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("guns/spas.png", 1f);

						var firearm = Instance.GetComponent<FirearmBehaviour>();

						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						customCartridge.name = "12 Gauge"; 
						customCartridge.Damage *= 0.10f; 
						customCartridge.StartSpeed *= 4.5f; 
						customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; 
						customCartridge.Recoil *= 0.7f; 
						customCartridge.ImpactForce *= 0.7f;

						firearm.Cartridge = customCartridge;

						firearm.ShotSounds = new AudioClip[]
						{
							ModAPI.LoadSound("guns/spas.mp3"),
						};

						Instance.FixColliders();
					}
				}
			);
			//bush
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Bush -IPlus",
					NameToOrderByOverride = "env2",
					DescriptionOverride = "Might be simillar to the one in Army Mod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bushview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bush.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//grass
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Grass -IPlus",
					NameToOrderByOverride = "env4",
					DescriptionOverride = "Grass.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/grassview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/grass.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//dead bush
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Dead Bush -IPlus",
					NameToOrderByOverride = "env2",
					DescriptionOverride = "What Minecraft?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/deadbushview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/deadbush.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//radio
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Radio -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "No music yet :(",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/radioview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/radio.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//blender
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Blender -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Not a 3D Modelling program.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/blenderview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/blender.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//toilet
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Toilet -IPlus",
					NameToOrderByOverride = "bath",
					DescriptionOverride = "Breh.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/toiletview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/toiletcollision.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/toilet.png", 1f);

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 7;
						gen.InitialMass = 7;
					}
				}
			);
			//golden toilet
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Golden Toilet -IPlus",
					NameToOrderByOverride = "Saddam Hussein",
					DescriptionOverride = "Saddam Hussein.",
					CategoryOverride = ModAPI.FindCategory("Saddam Hussein"),
					ThumbnailOverride = ModAPI.LoadSprite("props/goldentoiletview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/toiletcollision.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/goldentoilet.png", 1f);

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 30;
						gen.InitialMass = 30;
					}
				}
			);
			//map block
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Map Block -Iplus",
					NameToOrderByOverride = "env3",
					DescriptionOverride = "Map? Block?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/mapview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/map.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 100;
						gen.InitialMass = 100;
					}
				}
			);
			//map block grass
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Grass Map Block -I",
					NameToOrderByOverride = "env3",
					DescriptionOverride = "Grass? Map? Block?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/mossmapview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/mossmapblock.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 100;
						gen.InitialMass = 100;
					}
				}
			);
			//cup
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Cup -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "Bet you've seen this before irl.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cupview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cup.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//bath
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Bath -IPlus",
					NameToOrderByOverride = "bath",
					DescriptionOverride = "To take bath.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bathview.png", 5f),
					AfterSpawn = (Instance) =>
					{
				  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bathcollider.png", 10f);
				  Instance.FixColliders();
				  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bath.png", 1f);
				Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

				var gen = Instance.GetComponent<PhysicalBehaviour>();
				  gen.TrueInitialMass = 8;
				  gen.InitialMass = 8;
					}
				}
			);
			//bulletproof glass
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Bulletproof Glass -IPlus",
					NameToOrderByOverride = "bprotec",
					DescriptionOverride = "Tempered glass, but bulletproof. Or atleast supposted to be",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bulletproofglassview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bulletproofglass.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//rock1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Rock 1 -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "A Rock. Can be used as a decoration or a thing to hide behind.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/rock1view.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rock1.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 20;
						gen.InitialMass = 20;
					}
				}
			);
			//rock2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Rock 2 -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "A Rock. Can be used as a decoration or a thing to hide behind. Totally didn't copy the description from the first rock.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/rock2view.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rock2.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 23;
						gen.InitialMass = 23;
					}
				}
			);
			//satelite dish
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Satellite Dish -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "A dish? UFO???!?!?!?!??",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/satdishview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/satdish.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 1;
						gen.InitialMass = 1;
					}
				}
			);
			//berry bush
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Berry Bush -IPlus",
					NameToOrderByOverride = "env2",
					DescriptionOverride = "Might be simillar to the one in Army Mod. But with berries!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/berrybushview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/berrybush.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//cacti
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Cactus -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Doesn't brutally murder you if you touch it.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cactiview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cacti.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//cig
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Cigratte -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Smoking in real life kills you.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cigaretteview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cigarette.png", 2f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//cabinet
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Cabinet -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "Meant to be used in a bedroom.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cabinetview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cabinet.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 3;
						gen.InitialMass = 3;
					}
				}
			);
			//vase
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Vase -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "A little decoration.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/vaseview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/vase.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//baseball bat
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
					NameOverride = "Baseball Bat -IPlus",
					NameToOrderByOverride = "melee",
					DescriptionOverride = "A little decoration. For someones face.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("melee/batview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("melee/baseballbat.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//sink
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Sink -IPlus",
					NameToOrderByOverride = "bath",
					DescriptionOverride = "Remember to wash your hands.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/sinkview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sink.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 6;
						gen.InitialMass = 6;
					}
				}
			);
			//shelf
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Shelf -IPlus",
					NameToOrderByOverride = "bedroom1",
					DescriptionOverride = "A little decoration.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/shelfview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/shelf.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//mcbag
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "McDonalds Bag -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "McDonalds Bag.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/mcbagview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/mcbag.png", 2f);
						Instance.FixColliders();
					}
				}
			);
			//burger
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Big Mac -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Not edible.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/burgerview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/burger.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//plant
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Plant 1 -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Supposed to be in the vase. Not restirected to place outside aswell.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/plant1view.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/plant1.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//plant 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Plant 2 -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Supposed to be in the vase. Not restirected to place outside aswell.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/plant2view.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/plant2.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//plant 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Plant 3 -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Supposed to be in the vase. Not restirected to place outside aswell.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/plant3view.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/plant3.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//map block
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Sand Map Block -Iplus",
					NameToOrderByOverride = "env3",
					DescriptionOverride = "Sand? Map? Block?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/sandblockview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sandblock.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 100;
						gen.InitialMass = 100;
					}
				}
			);
			//clock
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Clock -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "Shows time. Doesn't show time.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/clockview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/clock.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//eclock
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Digital Clock -IPlus",
					NameToOrderByOverride = "bedroom",
					DescriptionOverride = "Shows time on an display. Doesn't show time.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/eclockview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/eclock.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//tv
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "TV -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "Samsung UltraHD 4K TV 2021",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tvview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tv.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pepsi
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Pepsi -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "We are better.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pepsiview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pepsi.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//coca cola
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Coca Cola -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "No, we are better.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cocacolaview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/coca cola.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//fanta
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Fanta -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "You guys are arguing?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/fantaview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/fanta.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//metal shelf
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Metal Shelf -IPlus",
					NameToOrderByOverride = "bedroom1",
					DescriptionOverride = "Shelf but maybe a bit metally.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/metalshelfview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/metalshelf.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//book
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Book -IPlus",
					NameToOrderByOverride = "misc1",
					DescriptionOverride = "Fortnite 2021 working free book guide.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bookview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/book.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//blue book
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Blue Book -IPlus",
					NameToOrderByOverride = "misc1",
					DescriptionOverride = "Fortnite 2021 working free book guide.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bluebookview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/blue book.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//green book
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Green Book -IPlus",
					NameToOrderByOverride = "misc1",
					DescriptionOverride = "Fortnite 2021 working free book guide.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/greenbookview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/green book.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//chest
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Chest -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Classic looking chest. Might look damn brutal.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/chestview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/chest.png", 1f);
						Instance.FixColliders();

			            var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 10;
						gen.InitialMass = 10;
					}
				}
			);
			//vodka
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Vodka -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Whatcha sayin comradae??",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/vodkaview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/vodka.png", 2f);
						Instance.FixColliders();
					}
				}
			);
			//trash lid
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Trash Bin Lid -IPlus",
					NameToOrderByOverride = "outdoor1",
					DescriptionOverride = "Thing to cover the trash bin!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/trashlview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/trashl.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//trash bin
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Trash Bin -IPlus",
					NameToOrderByOverride = "outdoor1",
					DescriptionOverride = "Don't leave trash on the street and forest!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/trashview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/trashcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/trash.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
					}
				}
			);
			//billboard
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Billboard -IPlus",
					NameToOrderByOverride = "outdoor",
					DescriptionOverride = "Totally not a link to Army Mod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/billboardview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/billboard.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 70;
						gen.InitialMass = 70;
					}
				}
			);
			//stump
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Stump -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Watch out for ants when sitting. They might go in your asshole.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/stumpview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/stump.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pbag
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Puncing Bag -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Training go brr..",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pbagview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pbag.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//mailbox
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Mail Box -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Amazon delivery!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/mailboxview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/mailbox.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//money
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Money -IPlus",
					NameToOrderByOverride = "misc3",
					DescriptionOverride = "Cash.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/moneyview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/money.png", 1.3f);
						Instance.FixColliders();
					}
				}
			);
			//money bag
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Money Bag -IPlus",
					NameToOrderByOverride = "misc3",
					DescriptionOverride = "Cash but bag.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/moneypview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/moneyp.png", 1.3f);
						Instance.FixColliders();
					}
				}
			);
			//ladder
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Ladder -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Unclimb-able :(",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/ladderview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/ladder.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//rod cube
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Rod Cube -IPlus",
					NameToOrderByOverride = "rod2",
					DescriptionOverride = "A rod square. It says cube, I know.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/rodcubeview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodcube.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//rod sphere
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Rod Sphere -IPlus",
					NameToOrderByOverride = "rod2",
					DescriptionOverride = "A rod circle. It says sphere, I know.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/rodsphereview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodspherecollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodsphere.png", 1f);
					}
				}
			);
			//rod pyramid
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Rod Pyramid -IPlus",
					NameToOrderByOverride = "rod2",
					DescriptionOverride = "A rod triangle. It says pyramid, I know.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/rodpyramidview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodpyramidcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodpyramid.png", 1f);
					}
				}
			);
			//step ladder
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Step Ladder -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Ladder but step.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/stepladderview.png", 1f),
					AfterSpawn = (Instance) =>
					{
							Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/stepladdercollider.png", 10f);
							Instance.FixColliders();
							Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/stepladder.png", 1f);
							Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

							var gen = Instance.GetComponent<PhysicalBehaviour>();
							gen.TrueInitialMass = 1;
							gen.InitialMass = 1;
						}
					}
			);
			//hydrant
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Hydrant -IPlus",
					NameToOrderByOverride = "outside",
					DescriptionOverride = "Wish it worked.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/hydrantview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/hydrant.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 3;
						gen.InitialMass = 3;
					}
				}
			);
			//cinder block
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Brick"),
					NameOverride = "Cinder Block -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "This thing is based on the brick. Kinda sus.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cinderblockview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cinderblock.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//cctv
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "CCTV Camera -IPlus",
					NameToOrderByOverride = "outside",
					DescriptionOverride = "Watching ig?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/cctvview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/cctv.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//cooler
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Water Cooler -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "Juicy water?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/wcoolerview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/wcooler.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//shop tent
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Shot Tent -IPlus",
					NameToOrderByOverride = "outside",
					DescriptionOverride = "Tent but shop one.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/shoptentview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/shoptent.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//locker
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Locker -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Please, i beg you, don't build schools in this game.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/lockerview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/locker.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//hood
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Kitchen Hood -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "A kitchen thing used for uhh.. um.. stove.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/hoodview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/hood.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//electric
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Switch Box -IPlus",
					NameToOrderByOverride = "electric",
					DescriptionOverride = "Can't zap you.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/electricview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/electric.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//gold
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Gold Ingot -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Im sure this would be used in a bank robbery.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/goldview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/gold.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//sofa
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Sofa -IPlus",
					NameToOrderByOverride = "livingroom",
					DescriptionOverride = "Classy.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/sofaview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sofacollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sofa.png", 1f);
					}
				}
			);
			//bar chair 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Bar Chair -IPlus",
					NameToOrderByOverride = "bar",
					DescriptionOverride = "The Chair but bar.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/barchaireview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/barchaire.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//laptop
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Laptop -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "You can do laptopy things on this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/laptopview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/laptopcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/laptop.png", 1f);
					}
				}
			);
			//desert rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Desert Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/desertrodview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/desertrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//brown rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Brown Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/brownrodview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/brownrod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//dashboard
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Dashboard -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car dashboard that you can place in cars!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/dashboardview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/dashboardcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/dashboard.png", 1f);
					}
				}
			);
			//swheel
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Steering Wheel -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car steering wheel that you can place in cars!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/swheelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/swheel.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pedal
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Pedal -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car pedal that you can place in cars!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pedalview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pedal.png", 1.4f);
						Instance.FixColliders();
					}
				}
			);
			//Engine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Engine -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car engine that you can place in cars! Explosive.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/engineview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/engine.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//orange rod
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Orange Rod -IPlus",
					NameToOrderByOverride = "rod",
					DescriptionOverride = "Other colors for your rod.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/orangerodview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/orangerod.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pencil
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Pencil -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Use it to draw!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pencilview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pencil.png", 5f);
						Instance.FixColliders();
					}
				}
			);
			//kpencil
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Knife"),
					NameOverride = "Different Pencil -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Use it to murder.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pencilview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pencil.png", 5f);
						Instance.FixColliders();
					}
				}
			);
			//fkar
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Front Car Seat -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car seat that you can place in cars!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/carseatview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/carseatcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/carseat.png", 1f);
					}
				}
			);
			//rkar
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Rear Car Seat -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car seat that you can place in cars!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/kcarseatview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/kcarseatcollider.png", 10f);
						Instance.FixColliders();
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/kcarseat.png", 1f);
					}
				}
			);
			//fueltank
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Fuel Tank -IPlus",
					NameToOrderByOverride = "vehicle",
					DescriptionOverride = "Car fuel tank that you can place in cars! Explosive.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/fuelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/fuel.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Pine Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A pine tree..",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pine1view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pine1.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//pine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Large Pine Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A large pine tree..",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pine3view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pine3.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//snowy pine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snowy Pine Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A pine tree.. with snow.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pine2view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pine2.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//pine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Large Snowy Pine Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A Large pine tree.. with snow.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pine4view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pine4.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A small little mini tree.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree1view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree1.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Medium Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A middle medium tree. Big one does exist.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree2view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree2.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//snow map block
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snow Map Block -Iplus",
					NameToOrderByOverride = "env3",
					DescriptionOverride = "Snow? Map? Block?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/snowmapblockview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/snowmapblock.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 100;
						gen.InitialMass = 100;
					}
				}
			);
			//snow block
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snow Block -Iplus",
					NameToOrderByOverride = "env3",
					DescriptionOverride = "Snow? Block?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/snowblockview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/snowblock.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 100;
						gen.InitialMass = 100;
					}
				}
			);
			//snow bush
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snowy Bush -IPlus",
					NameToOrderByOverride = "env2",
					DescriptionOverride = "Snowy.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/snowbushview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/snowbush.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//snow grass
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snow Grass -IPlus",
					NameToOrderByOverride = "env4",
					DescriptionOverride = "Why snow grass?.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/snowgrassview.png", 1f),
					AfterSpawn = (Instance) =>
					{

						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/snowgrass.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//log
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Top Log -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "The log that is facing to the camera",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/slogview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/slog.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//sledgehammer
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Hammer"),
					NameOverride = "Small Sledgehammer -IPlus",
					NameToOrderByOverride = "melee1",
					DescriptionOverride = "Even if it's small it won't stop you from brutally smashing someone's head!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/sledgehammer1view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sledgehammer1.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//big  sledgehammer
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Hammer"),
					NameOverride = "Big Sledgehammer -IPlus",
					NameToOrderByOverride = "melee1",
					DescriptionOverride = "THIS BOY BIG!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/sledgehammer2view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/sledgehammer2.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//hammer 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
					NameOverride = "Hammer 1 -IPlus",
					NameToOrderByOverride = "melee2",
					DescriptionOverride = "Classic hammer.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/hammer1view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/hammer1.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//hammer 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
					NameOverride = "Hammer 2 -IPlus",
					NameToOrderByOverride = "melee2",
					DescriptionOverride = "Classic hammer.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/hammer2view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/hammer2.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//hammer 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
					NameOverride = "Hammer 3 -IPlus",
					NameToOrderByOverride = "melee2",
					DescriptionOverride = "Classic hammer.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/hammer3view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/hammer3.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//shovel
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Hammer"),
					NameOverride = "Shovel -IPlus",
					NameToOrderByOverride = "melee3",
					DescriptionOverride = "Just A classic shovel. Probably.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/shovelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/shovel.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//bshovel
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
					NameOverride = "Bayonet Shovel -IPlus",
					NameToOrderByOverride = "melee3",
					DescriptionOverride = "A bit shorter, a bit more metally shovel.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/bshovelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/bshovel.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//perforator
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Perforator -IPlus",
					NameToOrderByOverride = "melee4",
					DescriptionOverride = "A thing hated by each neighbour in russia.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/perforatorview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/perforator.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//pc
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
					NameOverride = "Personal Computer -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "99% you are using this right now. Laptop users don't count.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/pcview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/pc.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//cbox
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Closed Box -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Amazon delivery.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/boxview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/box.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//obox
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Opened Box -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Amazon delivery. But the delivery man stole your stuff in there.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/openboxview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/openbox.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//kettle
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Kettle -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "Is this is the first mod to add a kettle?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/kettleview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/kettle.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//gas station
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Gas Station -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Highly explosive.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/gasstationview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/gasstation.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 25;
						gen.InitialMass = 25;
					}
				}
			);
			//crowbar
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Crowbar -IPlus",
					NameToOrderByOverride = "melee",
					DescriptionOverride = "No half-life reference this time.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/crowbarview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/crowbar.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 0.5f;
						gen.InitialMass = 0.5f;
					}
				}
			);
			//weight
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Weight -IPlus",
					NameToOrderByOverride = "melee",
					DescriptionOverride = "Sports! Im 420kg overweight.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/weightview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/weight.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 0.3f;
						gen.InitialMass = 0.3f;
					}
				}
			);
			//globus
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Globus -IPlus",
					NameToOrderByOverride = "kitchen",
					DescriptionOverride = "GlobUS!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/globusview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/globus.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//champagne
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Stick"),
					NameOverride = "Champagne -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Elite.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/champagneview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/champagne.png", 2f);
						Instance.FixColliders();
					}
				}
			);
			//vines
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Vines -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Decorative veins. Did i just say veins?",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/vinesview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/vines.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//vines
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Tumbleweed -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Tumble and weed.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tumbleweedview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/rodspherecollider.png", 10f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tumbleweed.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//tree 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Big Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Big boi tree!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree3view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree3.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Orange Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A small little mini tree.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree1autumnview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree1autumn.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Red Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A small little mini tree.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree1redview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree1red.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Yellow Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A small little mini tree.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree1yellowview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree1yellow.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Medium Orange Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A middle medium tree. Big one does exist.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree2autumnview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree2autumn.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Medium Red Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A middle medium tree. Big one does exist.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree2redview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree2red.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Medium Yellow Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "A middle medium tree. Big one does exist.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree2yellowview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree2yellow.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Big Orange Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Big boi tree!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree3autumnview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree3autumn.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Big Red Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Big boi tree!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree3redview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree3red.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//tree 3
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Big Yellow Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Big boi tree!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tree3yellowview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tree3yellow.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//barrier
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Jersey Barrier -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Meet Jersey, he's a barrier!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/barrierview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/barrier.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 10;
						gen.InitialMass = 10;
					}
				}
			);
			//barrel
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Barrel -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "I BARELY get McNuggets.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/barrelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/barrel.png", 1f);
						Instance.FixColliders();

					}
				}
			);
			//tank trap
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
					NameOverride = "Tank Trap -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "I rather should add this to Army Mod, not here, but still.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tanktrapview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/tanktrap.png", 1f);
						Instance.FixColliders();

						var gen = Instance.GetComponent<PhysicalBehaviour>();
						gen.TrueInitialMass = 10;
						gen.InitialMass = 10;
					}
				}
			);
			//vines
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Vines -IPlus",
					NameToOrderByOverride = "env2",
					DescriptionOverride = "Lil' vines.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/vinesview.png", 5f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/vines.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
						Instance.FixColliders();
					}
				}
			);
			//propane
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Small Propane Tank -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Does a big boom-boom if shot.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/propanesview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/propanes.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//propane
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Medium Propane Tank -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Does a big boom-boom if shot.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/propanemview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/propanem.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//propane
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
					NameOverride = "Large Propane Tank -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Does a big boom-boom if shot.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/propanelview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/propanel.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//vase 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Garden Vase -IPlus",
					NameToOrderByOverride = "outdoor",
					DescriptionOverride = "It's like a basic vase but with ropes that is making it a hanging one!",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/gvaseview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/gvase.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//ded tree
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Dead Tree -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Ded Tree.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/deadtreeview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/deadtree.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//blowtorch
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Blow Torch -IPlus",
					NameToOrderByOverride = "outdoor",
					DescriptionOverride = "Doesn't blow torches.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/blowtorchview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/blowtorch.png", 2f);
						Instance.FixColliders();
					}
				}
			);
			//flask
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Flask"),
					NameOverride = "Laboratory Flask -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Just a flask. Now it's a laboratory flask.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/flaskview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/flask.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//log
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Small Horizontal Log -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Just a horizontal log that is just a log.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/svlogview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/svlog.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//log
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Large Horizontal Log -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "The big brother of just a horizontal log that is just a log.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/lvlogview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/lvlog.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//log
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Large Top Log -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "The log that is facing to the camera.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/llogview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/llog.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//seaweed
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Seaweed -IPlus",
					NameToOrderByOverride = "env",
					DescriptionOverride = "Supposed to be located in water.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/seaweedview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/seaweed.png", 1f);
						Instance.layer = 10;
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//table 1
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Table -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "If you look closely, you can spot the difference.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/tableview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/table.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//table 2
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Bar Table -IPlus",
					NameToOrderByOverride = "office",
					DescriptionOverride = "Bar table.. Thing.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/table2view.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/table2.png", 1f);
						Instance.FixColliders();
					}
				}
			);
			//snowy pine
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Plank"),
					NameOverride = "Snow Pile -IPlus",
					NameToOrderByOverride = "env1",
					DescriptionOverride = "Pile of snow. I can already see someone misuse this.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/snowpileview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/snowpile.png", 1f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
					}
				}
			);
			//microphone
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "Microphone -IPlus",
					NameToOrderByOverride = "misc",
					DescriptionOverride = "Microphone. You talk in this thing.",
					CategoryOverride = ModAPI.FindCategory("Item Plus"),
					ThumbnailOverride = ModAPI.LoadSprite("props/microphoneview.png", 1f),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("props/microphone.png", 1f);
						Instance.FixColliders();
					}
				}
			);
		}
    }
}
